@import "bootstrap-sprockets";
@import "bootstrap";

.row{
  margin-top: 100px;
}

.alert{
  margin-top: 100px;
}

/* mixins, variables, etc. */
$gray-medium-light: #eaeaea;
@mixin box_sizing {
  -moz-box-sizing: border-box;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
}
/* miscellaneous */
.debug_dump {
  clear: both;
  float: left;
  width: 100%;
  margin-top: 45px;
  @include box_sizing;
}


.container h1{
  padding-top: 50px;
}

/* header */

#logo {
  float: left;
  margin-right: 10px;
  font-size: 1.7em;
  color: #fff;
  text-transform: uppercase;
  letter-spacing: -1px;
  padding-top: 9px;
  font-weight: bold;
}

#logo:hover {
  color: #fff;
  text-decoration: none;
}

h1,h2,h3,h4,h5,h6 {
  line-height: 1;
}

h1 {
  font-size: 3em;
  letter-spacing: -2px;
  margin-bottom: 30px;
  text-align: center;
}

h2 {
  font-size: 1.2em;
  letter-spacing: -1px;
  margin-bottom: 30px;
  text-align: center;
  font-weight: normal;
  color: #777;
}
p {
  font-size: 1.1em;
  line-height: 1.7em;
}


.center {
  text-align: center;
}

.center h1 {@import "bootstrap-sprockets";
  @import "bootstrap";

  /* universal */

  body {
    padding-top: 60px;
  }

  section {
    overflow: auto;
  }

  textarea {

    margin-bottom: 10px;
  }
}

/* footer */

footer {
  margin-top: 45px;
  padding-top: 5px;
  border-top: 1px solid #eaeaea;
  color: #777;
}

footer a {
  color: #555;
}

footer a:hover {
  color: #222;
}

footer small {
  float: left;
}

footer ul {
  float: right;
  list-style: none;
}

footer ul li {
  float: left;
  margin-left: 15px;
}

/* sidebar */
aside {
  section.user_info {
    margin-top: 20px;
  }

  section {
    padding: 10px 0;
    margin-top: 20px;

    &:first-child {
      border: 0;
      padding-top: 0;
    }

    span {
      display: block;
      margin-bottom: 3px;
      line-height: 1;
    }

    h1 {
      font-size: 1.4em;
      text-align: left;
      letter-spacing: -1px;
      margin-bottom: 3px;
      margin-top: 0px;
    }
  }
}

.gravatar {
  float: left;
  margin-right: 10px;
}

.gravatar_edit {
  margin-top: 15px;
}

/* forms */
input, textarea, select, .uneditable-input {
  border: 1px solid #bbb;
  width: 100%;
  margin-bottom: 15px;
  @include box_sizing;
}

input {
  height: auto !important;
}

#error_explanation {
  color: red;
  ul {
    color: red;
    margin: 0 0 30px 0;
  }
}

.field_with_errors {
  @extend .has-error;
  .form-control {
    color: $state-danger-text;
  }
}

.checkbox {
  margin-bottom: 10px;
  margin-top: 10px;
  span {
    font-weight: normal;
    margin-left: 20px;
  }
}
#session_remember_me {
  margin-left: 0;
  width: auto;
}

.index-news{
  margin-top: 100px;
}

/* news index */
.show-news{
  .tag_new{
    margin-top: 20px;
    padding: 15px;
    border-left: 5px solid darkred;
    font-size: 20px;
    font-weight: bold;
    background: #cccccc;
    border-radius: 0 10px 10px 0;
  }
}
html,
body {
  position: relative;
  height: 100%;
  margin-top: 100px;
}

body {
  background: #eee;
  font-family: Helvetica Neue, Helvetica, Arial, sans-serif;
  font-size: 14px;
  color: #000;
  margin: 0;
  padding: 0;
}

.swiper {
  width: 100%;
  height: 500px;
  margin-top: 50px;
  border-radius: 10px;
}

.swiper-slide {
  text-align: center;
  font-size: 18px;
  background: #fff;
  position: relative;
  cursor: pointer;

  /* Center slide text vertically */
  display: -webkit-box;
  display: -ms-flexbox;
  display: -webkit-flex;
  display: flex;
  -webkit-box-pack: center;
  -ms-flex-pack: center;
  -webkit-justify-content: center;
  justify-content: center;
  -webkit-box-align: center;
  -ms-flex-align: center;
  -webkit-align-items: center;
  align-items: center;
  .swiper_title{
    position: absolute;
    font-size: 20px;
    font-weight: bold;
    bottom: 40px;
    text-align: center;
    background: white;
    padding: 10px 15px;
    border-radius: 5px;
  }
  .swiper_title_detail{
    position: absolute;
    font-size: 24px;
    font-weight: bold;
    top: -40px;
    text-align: center;
    border-radius: 5px;
  }
}

.swiper_content_detail{
  margin-top: 50px;
  border-bottom: 1px solid #aaaaaa;
  padding-bottom: 30px;
  position: relative;
  min-height: 200px;
}

.swiper_slide_banner{
  position: relative;
  .banner_cmt_likes{
    position: absolute;
    top: 5px;
    left: 5px;
    display: flex;
    .banner_likes{
      background: #cccccc;
      border-radius: 5px;
      border: 2px dashed #aaaaaa;
      width: auto;
      padding: 5px 10px;
      margin-right: 10px;
      color: #007aff;
    }
    .banner_cmt{
      background: #cccccc;
      border-radius: 5px;
      border: 2px dashed #aaaaaa;
      width: auto;
      padding: 5px 10px;
      color: #007aff;
    }
    .banner_likes:hover,.banner_cmt:hover{
      color: #2e6da4;
    }
  }
}

.swiper_slide_banner img {
  display: block;
  width: 1140px !important;
  height: 500px !important;
  object-fit: cover;
}

.swiper-pagination-bullet {
  width: 20px;
  height: 20px;
  text-align: center;
  line-height: 20px;
  font-size: 12px;
  color: #000;
  opacity: 1;
  background: rgba(0, 0, 0, 0.2);
}

.swiper-pagination-bullet-active {
  color: #fff;
  background: #007aff;
}

#banner
.banner_image{
  width: 100%;
  height: 100%;
}
.notification{
  margin: auto;
  padding-top: 30px;
  font-size: 24px;
  font-weight: bold;
  color: #2e6da4;
  text-align: center;
}

#swiper_category
.swiperC {
  width: 100%;
  height: 150px;
}

.mySwiperC{
  overflow: hidden !important;
  margin-top: 10px;
}

.swiper-slideC {
  text-align: center;
  font-size: 18px;
  background: #fff;
  position: relative;

  /* Center slide text vertically */
  display: -webkit-box;
  display: -ms-flexbox;
  display: -webkit-flex;
  display: flex;
  -webkit-box-pack: center;
  -ms-flex-pack: center;
  -webkit-justify-content: center;
  justify-content: center;
  -webkit-box-align: center;
  -ms-flex-align: center;
  -webkit-align-items: center;
  align-items: center;
  .swiper_title{
    position: absolute;
    font-weight: bold;
    font-size: 16px;
    bottom: 10px;
    text-align: center;
    background: white;
    padding: 5px 7px;
    border-radius: 5px;
  }
  .swiper-img img{
    width: 100%;
    height: 200px !important;
    border-radius: 5px;
    box-shadow: 5px 5px 5px #aaaaaa;
  }
}

.swiper-slideC img {
  display: block;
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.comment_field{
  margin: auto !important;
  width: 50% !important;
  padding-top: 30px;
  .text_field_comment{
    min-height: 300px;
  }
}
